.fixed--container {
    position: fixed;
    padding: 30px;
    right: 3%;
    top: 60px;
    left: calc(240px + 3%);
    z-index: 10;
    background: rgba(53, 56, 61, 1) 100%;
}

.fixed--container .main--box {}


.fixed--container .main--box .titel--bar {}

.fixed--container .main--box .titel--bar h3 {
    color: #ccc;
    font-size: 18px;
    text-shadow: 0px 0px 18px #0000009e;

}



/**
* fixed container status bar
*/
.fixed--container .main--box .status--bar {
    display: flex;
    margin: 10px 0px;
}


.fixed--container .main--box .status--bar .avatar-group--box {
    display: block;
}


/* start: Avatar group */
.fixed--container .main--box .status--bar .avatar-group--box .avatar-group {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar {
    position: relative;
    transition: .2s;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar:not(:first-child) {
    margin-left: -20px;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar:hover {
    z-index: 1;
    transform: translateY(-.5rem);
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar-name {
    position: absolute;
    bottom: calc(100% + .5rem);
    left: 50%;
    transform: translateX(-50%);
    padding: .5rem .75rem;
    border-radius: .25rem;
    background-color: rgba(0, 0, 0, .7);
    color: #fff;
    font-size: .875rem;
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transition: .2s;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar-name::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    border: .5rem solid;
    border-color: rgba(0, 0, 0, .7) transparent transparent;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar:hover .avatar-name {
    opacity: 1;
    visibility: visible;
}

.fixed--container .main--box .status--bar .avatar-group--box .avatar-group .avatar img {
    width: 40px;
    height: 40px;
    display: block;
    object-fit: cover;
    border-radius: 50%;
    border: 1.5px solid #fff;
    box-shadow: 0 .25rem 1rem rgba(0, 0, 0, .1);
}


/**
* fixed container Search bar
*/

.fixed--container .main--box .search--bar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin: 0px 0px;
}

.fixed--container .main--box .search--bar .input--keyword {
    width: 320px;
    height: 35px;
    overflow: hidden;
    border-radius: 5px;
    background: var(--bg--light);

}

.fixed--container .main--box .search--bar .input--keyword input {
    width: 100%;
    height: 100%;
    padding: 5px 10px;
    color: #ccc;

}



.fixed--container .main--box .search--bar .actions--buttons {
    display: flex;
    align-items: center;
    margin: 0px 20px;
}

.fixed--container .main--box .search--bar .actions--buttons button {
    background: #615e5e;
    border: 1px solid #cccccc1d;
    border-radius: 8px;
    height: 35px;
    display: flex;
    align-items: center;
    padding: 0px 15px;
    margin: 0px 10px;
    white-space: nowrap;
}



.fixed--container .main--box .search--bar .actions--buttons button i {
    font-size: 13px;
    color: #ccc
}

.fixed--container .main--box .search--bar .actions--buttons button p {
    font-size: 12px;
    margin-left: 8px;
    color: #ccc
}









/**
* fixed container menu bar
*/

.fixed--container .main--box .menu--bar {
    display: flex;
    margin: 10px 0px;
    align-items: center;
    border-bottom: 1px solid #cccccc21;
}

.fixed--container .main--box .menu--bar .active-button {
    border-bottom: 2px solid rgb(110, 173, 255);
}


.fixed--container .main--box .menu--bar .active-button i {
    color: rgb(110, 173, 255);
}

.fixed--container .main--box .menu--bar .active-button p {
    color: rgb(110, 173, 255);
}

.fixed--container .main--box .menu--bar button {
    display: flex;
    align-items: center;
    text-align: center;
    margin-right: 10px;
    padding: 10px 15px;

}

.fixed--container .main--box .menu--bar button i {
    font-size: 15px;
    color: #ccc;
}

.fixed--container .main--box .menu--bar button p {
    font-family: Roboto-Medium;
    font-size: 14px;
    margin-left: 8px;
    color: #ccc;
}



/**
* fixed container filters bar
*/

.fixed--container .main--box .filters--bar {
    position: relative;
    display: flex;
    align-items: center;
    margin: 15px 0px;
}

.fixed--container .main--box .filters--bar button {
    display: flex;
    align-items: center;
    padding: 5px 12px;
    border-radius: 6px;
    margin-right: 10px;
    text-align: center;
    font-size: 12px;
    white-space: nowrap;
    background: #615e5e;
    border: 1px solid #cccccc1d;

}

.fixed--container .main--box .filters--bar button i {
    color: #ccc;
}

.fixed--container .main--box .filters--bar button p {
    margin-left: 10px;
    color: #ccc;
}

.fixed--container .main--box .filters--bar button b {
    margin-left: 5px;
    color: #ccc;
}


/**
*  /**
* fixed container filters bar short--by
*/
.fixed--container .main--box .filters--bar .short--by {
    display: none;
    border-radius: 15px;
    width: 110px;
    position: absolute;
    left: 0;
    top: 40px;
    background: #fff;
    padding: 10 0pxpx;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;

}

.fixed--container .main--box .filters--bar .short--by p {
    font-size: 14px;
    padding: 10px 10px;
    color: var(--text-color-thin);
    cursor: pointer;
}

.fixed--container .main--box .filters--bar .short--by p:hover {
    background: var(--bg--light);
}


/**
* container & Table
*/

.container {
    margin-left: 240px;
    margin-top: 350px;
    padding: 0px 3%;
}

.container .table--box {
    overflow: hidden;
}


.container .table--box table {
    overflow: hidden;
    border-collapse: separate;
    border-spacing: 0px 10px;
    /*border-collapse: collapse ;*/

}

/*Last dropdown menu /**/
.container .table--box table tbody tr:last-child .dropdown-content {
    display: none;
    width: 240px;
    right: 25px;
    top: -115px;
    position: absolute;
    background: #fff;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: 15px;
    padding: 10px 0px;
    z-index: 1;
}

.container .table--box table tbody tr {
    background: transparent;
    transition: transform .2s;
    /*border-bottom: 1px solid #cccccc28;/*/
}


.container .table--box table tbody tr:hover {
    /*transform: scale(1.010);
    box-shadow: rgba(136, 165, 191, 0.48) 6px 2px 16px 0px, rgba(255, 255, 255, 0.8) -6px -2px 16px 0px;
    /*/
}

/*tr border-radius */
.container .table--box table tbody tr td:first-child {
    border-radius: 20px 0px 0px 20px;
}

.container .table--box table tbody tr td:last-child {
    border-radius: 0px 20px 20px 0px;
}

.container .table--box tbody tr td {
    padding: 10px 5px;
}


/**
* Table people
*/

.container .table--box tbody .people {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.container .table--box tbody .people:hover {}

.container .table--box tbody .people .avatar {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-right: 10px;
    background: var(--bg--light);
}

.container .table--box tbody .people .avatar img {}

.container .table--box tbody .people .info {}

.container .table--box tbody .people .info h3 {
    margin-bottom: 6px;
    display: flex;
    align-items: center;
}

.container .table--box tbody .people .info h3 i {
    font-size: 14px;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}

.container .table--box tbody .people .info h3 a {
    font-size: 14px;
    text-wrap: nowrap;
    margin-left: 5px;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}

.container .table--box tbody .people .info p {
    font-size: 10px;
    text-wrap: nowrap;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}



/**
* Table description
*/

.container .table--box tbody .description {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}


.container .table--box tbody .description div .location {
    display: flex;
    align-items: center;
    margin-bottom: 6px;
}

.container .table--box tbody .description div .location i {
    font-size: 14px;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}

.container .table--box tbody .description div .location h3 {
    font-size: 14px;
    margin-left: 5px;
    text-wrap: nowrap;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}


.container .table--box tbody .description div .phone {}

.container .table--box tbody .description div .phone p {
    font-size: 10px;
    text-wrap: nowrap;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}


/**
* Table others 
*/


.container .table--box tbody .others {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.container .table--box tbody .others div h3 {
    display: flex;
    font-size: 14px;
    text-wrap: nowrap;
    align-items: center;
    margin-bottom: 6px;
}

.container .table--box tbody .others div h3 i {
    font-size: 14px;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}

.container .table--box tbody .others div h3 p {
    margin-left: 5px;
    text-wrap: nowrap;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;
}

.container .table--box tbody .others .last-logout {
    font-size: 10px;
    text-wrap: nowrap;
    color: #ababab;
    text-shadow: 0px 0px 18px #0000009e;

}



/**
* Table status
*/


.container .table--box tbody .status {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.container .table--box tbody .status .online-status {}

.container .table--box tbody .status .online-status .online {
    font-size: 30px;
    color: #2abe1c;
    font-family: Roboto-Medium-Italic;
    text-shadow: 9px 1px 12px rgba(0, 175, 23, 0.200);
}

.container .table--box tbody .status .online-status .offline {
    font-size: 30px;
    color: #ff4c4c;
    font-family: Roboto-Medium-Italic;
    text-shadow: 9px 1px 12px rgba(0, 175, 23, 0.200);

}

.container .table--box tbody .status .account-status {
    margin-left: 10px;
}

.container .table--box tbody .status .account-status .active {
    font-size: 13px;
    color: green;
    padding: 5px 10px;
    text-wrap: nowrap;
    border-radius: 15px;
    font-family: Roboto-Medium-Italic;
    background: rgba(0, 128, 0, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}


.container .table--box tbody .status .account-status .expire {
    font-size: 13px;
    color: #ccc;
    padding: 5px 10px;
    border-radius: 15px;
    text-wrap: nowrap;
    font-family: Roboto-Medium-Italic;
    background: rgba(255, 0, 0, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .status .account-status .suspend {
    font-size: 13px;
    color: #c0a322;
    padding: 5px 10px;
    border-radius: 15px;
    text-wrap: nowrap;
    font-family: Roboto-Medium-Italic;
    background: rgba(192, 163, 34, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}



/**
* Table validity
*/

.container .table--box tbody .validity {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.container .table--box tbody .validity .green,
.container .table--box tbody .validity .red,
.container .table--box tbody .validity .yellow {
    display: flex;
    align-items: center;
    justify-content: center;
}


.container .table--box tbody .validity .green i {
    color: green;
    font-size: 13px;
    padding: 5px 0px;
    text-shadow: 5px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .validity .green button {
    font-size: 13px;
    color: green;
    padding: 5px 10px;
    border-radius: 15px;
    margin-left: 10px;
    text-wrap: nowrap;
    font-family: Roboto-Medium-Italic;
    background: rgba(0, 128, 0, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .validity .red i {
    color: #ff4c4c;
    font-size: 13px;
    padding: 5px 0px;
    text-shadow: 5px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .validity .red button {
    font-size: 13px;
    color: #ccc;
    padding: 5px 10px;
    border-radius: 15px;
    margin-left: 10px;
    text-wrap: nowrap;
    font-family: Roboto-Medium-Italic;
    background: rgba(255, 0, 0, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .validity .yellow i {
    color: #c0a322;
    font-size: 13px;
    padding: 5px 0px;
    text-shadow: 5px 1px 12px rgba(0, 0, 0, 0.3);
}

.container .table--box tbody .validity .yellow button {
    font-size: 13px;
    color: #c0a322;
    padding: 5px 10px;
    border-radius: 15px;
    margin-left: 10px;
    text-wrap: nowrap;
    font-family: Roboto-Medium-Italic;
    background: rgba(192, 163, 34, 0.180);
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
}



/**
* Table dropdown menu
*/

.container .table--box tbody .dropdown--box {
    position: relative;
    /*display: flex;
    justify-content: flex-end;*/
}

.container .table--box tbody .dropdown--box i {
    color: #ababab;
    font-size: 18px;
    font-weight: 500;
    text-shadow: 9px 1px 12px rgba(0, 0, 0, 0.3);
    cursor: pointer;
}

.container .table--box tbody .dropdown--box .dropdown-content {
    display: none;
    width: 240px;
    right: 25px;
    top: 25px;
    position: absolute;
    background: #403f3f;
    box-shadow: rgba(149, 157, 165, 0.06) 0px 8px 24px;
    border-radius: 15px;
    padding: 10px 0px;
    z-index: 1;
}

.container .table--box tbody .dropdown--box .dropdown-content .link {
    display: flex;
    margin: 5px 0px;
    padding: 10px 15px;
    align-items: center;
    color: #ccc;
    cursor: pointer;
}

.container .table--box tbody .dropdown--box .dropdown-content .link:hover {
    background: var(--bg--light);
}

.container .table--box tbody .dropdown--box .dropdown-content .link i {
    font-size: 16px;
}

.container .table--box tbody .dropdown--box .dropdown-content .link p {
    margin-left: 10px;
    font-size: 14px;
}





.container .table--box .loader-box {
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.container .table--box .loader-box .spiner {
    display: none;
    border: 3px solid var(--bg--light);
    border-radius: 50%;
    border-top: 3px solid #21a6f3;
    width: 35px;
    height: 35px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}











@media screen and (max-width: 1024px) {}

@media screen and (max-width: 720px) {

    /**
    * fixed container 
    */

    .fixed--container {
        left: 0px;
        right: 0;
        top: 60px;
        padding-top: 30px;
        padding-left: 5px;
        padding-right: 5px;
        border: 1px solid red;
    }

    /**
    * fixed container Search bar
    */

    .fixed--container .main--box .search--bar {
        justify-content: center;
    }


    .fixed--container .main--box .search--bar .input--keyword {
        flex: 1;
    }


    /**
    *  container 
    */
    .container {
        margin-left: 0px;
        margin-top: 370px;
        padding: 0px 5px;
    }
}